//---------------------------------------------------------------------------
//
// Project:     SqliteClass
// Version:     0.3
// License:     Public Domain
//
// File:        SqliteException.h
// Author:      Gianni Rossi, Giuseppe Luciano
// Last Edit:   10/07/2011
//
//---------------------------------------------------------------------------
#ifndef SQLITEEXCEPTION_H
#define SQLITEEXCEPTION_H

#include <string>
using namespace std;

namespace SqliteClass {

   /** SqliteException contains information of SQLite or SqliteClass error*/
   class SqliteException
   {
         private:
            string statement;
            int errNumber;
            string errDescription;

         public:
            /** SqliteException costructor
              *  @param Statement SQL evaluated
              *  @param ErrNumber Error number
              *  @param ErrDescription Description of the error
              */
            SqliteException(string statement, int errNumber, string errDescription);
            ~SqliteException();

            /** SQL Statament which caused the error */
            string getStatement();

            /** Error number */
            int getErrorNumber();

            /** The description of the error */
            string getErrorDescription();
   };

}
#endif
