#include <iostream>
#include <cstdlib>
#include "SqliteConnection.h"
using namespace std;
using namespace SqliteClass;

int main()
{
    SqliteConnection* aConn;
    SqliteRecordSet* aRecordSet;
    unsigned int i;

    try {
        // Create a new instance of SqliteConnection
        aConn = new SqliteConnection();
        // create a new file (open if just exists)
        aConn->open("test.sqlite3");

        //start transaction
        aConn->begin();

        // execute SQL update statement
        aConn->executeUpdate("drop table if exists MyTable");
        aConn->executeUpdate("create table MyTable(field1 TEXT, field2 TEXT);");
          // if table already exists we get an SqliteException
        aConn->executeUpdate("insert into MyTable(field1,field2) values ('hello','guys');");
        aConn->executeUpdate("insert into MyTable(field1,field2) values ('I','am');");
        aConn->executeUpdate("insert into MyTable(field1,field2) values ('SQLite','example');");

        // execute SQL query
        aConn->executeQuery("select * from MyTable", aRecordSet);

         if (!aRecordSet->isEmpty()) {
             while (aRecordSet->next()) {
                  for(i = 0; i < aRecordSet->columns(); i++)
                    cout << aRecordSet->fieldValue(i) << " ";
                  cout << endl;
             }
         } else {
             cout << "No records found!!\n";
         }

        // commit transaction
        aConn->commit();

    } catch (SqliteException ex) {
        // to annull all transactions
        aConn->rollback();

        cout << "Error:" << endl;
        cout << ex.getStatement() << endl;
        cout << ex.getErrorDescription() << endl;
    }

    aConn->close();
    delete aConn;

#ifdef WINDOWS
    system("PAUSE");
#endif

    return 0;
}
